replace applet with potlatch
[rails.git] / app / views / site / edit.rhtml
1 note that this copy of potlatch is coming off of richards dev account and isn't speaking to your local API as it hasn't been integrated yet.<br>
2 FIXME integrate potlatch properly.
3
4 <div id="mapcontent">Sorry, you need a Flash player to use Potlatch, the
5     OpenStreetMap Flash editor. You can <a href="http://www.adobe.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">download Flash Player from Adobe.com</a>.
6
7     <a href="http://wiki.openstreetmap.org/index.php/Editing">Several other options</a> are also available 
8     for editing OpenStreetMap.</div>
9   <script type="text/javascript" src="http://richard.dev.openstreetmap.org/potlatch/swfobject.js"></script>
10   <script type="text/javascript">
11     var fo = new SWFObject("http://richard.dev.openstreetmap.org/potlatch/potlatch.swf", "potlatch", "700", "600", "6", "#FFFFFF");
12     function doSWF(lat,lon,sc) {
13       fo.addVariable('lat',lat);
14       fo.addVariable('long',lon);
15       fo.addVariable('scale',sc);
16       fo.addVariable('token','tokenstring');
17       fo.write("mapcontent");
18     }
19     doSWF(52.2,-2.2,12);
20
21 </script>